require('dotenv').config();
import request from 'supertest';

describe('GET Endpoints', () => {
	/*
	 * NOTICE: 
	 * Those are structural test examples.
	 * I've made it, that they all expect 404 errors, 
	 * since the database models have changes while the API hasn't
	 */
	it('if response is 404, server is alive (since GET / isn\'t defined)', (done) => {
		request("http://localhost:4000")
			.get('/')
			.set('Accept', 'text/html')
			.expect('Content-Type', /html/)
			.expect(404, done);
	});
	it('Get Vehicle Type with ID (returns 404 since no data)', (done) => {
		request("http://localhost:4000")
		.get('/vehicleType/1')
		.set('Accept', 'text/html')
		.expect('Content-Type', /html/)
		.expect(404, done);
	});
	it('Get all Vehicle Types', (done) => {
		request("http://localhost:4000")
		.get('/vehicleType')
		.set('Accept', 'text/html')
		.expect('Content-Type', /html/)
		.expect(404, done);
	});
});